# module WpTheme::Vulnerable

### Public Instance Methods

vulns_file() click to toggle source

@return [ String ] The path to the file containing vulnerabilities

    # File lib/common/models/wp_theme/vulnerable.rb, line 6
    def vulns_file
      unless @vulns_file
        @vulns_file = THEMES_VULNS_FILE
      end
      @vulns_file
    end

vulns_xpath() click to toggle source

@return [ String ]

    # File lib/common/models/wp_theme/vulnerable.rb, line 14
    def vulns_xpath
      "//theme[@name='#{@name}']/vulnerability"
    end